
package Logic;

public class EqualsPred extends APredicate
{
	Object value;

	/**
	 * @param value 
	 * @SBGen Constructor assigns value
	 */
	public EqualsPred(Object value)
	{
		// SBgen: Assign variable
		this.value = value;
	}
	/**
	 * @param dat 
	 * @return 
	 */
	public ILogical isTrue(Object dat)
	{
		return (LogicFactory.Singleton().makeLogical(value.equals(dat))); 
	}
}

